Subject: bug#57974: 2022-08-30; Enhancing help facility for function doc string

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Sep 2022 12:47:37 -0400

Ikumi Keita [2022-09-23 00:22:06] wrote:
>>>>>> Stefan Monnier <[email-masked]> writes:
>>> Right, makes sense.  But there can be more than one advice -- would
>>> moving just the :overrides to the front of the doc string solve the
>>> problem?
>> It used to be there, so maybe that's a good solution, yes.
> More radical approach would also be an option, i.e., to display doc
> string of B instead of A; but I don't strongly insist.

I don't have a strong opinion either.  I think the issue has more to do
about how to implement it (the info about advice is provided via the
same mechanism used for all kinds of other auxiliary info and is not
designed to distinguish those things that are more or less important,
it has a very limited flexibility right now).

        Stefan